Public Class frmBuscarReporteVenta

    Private Codigo As String = String.Empty

    Sub New()

        ' Esta llamada es exigida por el diseñador.
        InitializeComponent()

        ' Agregue cualquier inicialización después de la llamada a InitializeComponent().

    End Sub





    Private Sub frmBuscarReporteVenta_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        CargarCasasCorredoras()
        CargarEmpresas()
        CargarDatosBusqueda()
    End Sub

    Sub CargarCasasCorredoras()
        Dim oDAOGeneral As New DAOGeneral
        If Me.cboCasaCorredora.Items.Count = 0 Or Me.cboCasaCorredora.Items.Count = 1 Then
            Me.cboCasaCorredora.DataSource = oDAOGeneral.ListaCasasCorredoras.Tables("CasasCorredoras")
            Me.cboCasaCorredora.DisplayMember = "Descripcion"
            Me.cboCasaCorredora.ValueMember = "Codigo"
            Me.cboCasaCorredora.SelectedIndex = 0
        End If
    End Sub

    Private Sub CargarEmpresas()
        Dim oDAOGeneral As New DAOGeneral
        Me.cboEmpresa.DataSource = oDAOGeneral.ListaEmpresas
        Me.cboEmpresa.DisplayMember = "Descripcion"
        Me.cboEmpresa.ValueMember = "Codigo"

        Me.cboEmpresa.SelectedIndex = 0

    End Sub


    Sub CargarDatosBusqueda()
        Dim ReportoVenta As New ReportosDAO
        Dim ds As New DataSet
        Dim FechaOperacion1 As Date = Date.Today.Date
        Dim FechaOperacion2 As Date = Date.Today.Date
        Dim Empresa As String = ""
        Dim CasaCorredora As String = ""
        Dim Estado As String = ""
        If Not cboEmpresa.SelectedValue Is Nothing Then
            Empresa = cboEmpresa.SelectedValue.ToString()
        End If
        If Not cboCasaCorredora.SelectedValue Is Nothing Then
            CasaCorredora = cboCasaCorredora.SelectedValue.ToString
        End If
        Dim TipoFecha As Integer = 0




        If rdbVigente.Checked Then
            Estado = "Vigente"
        End If




        If rdbFecha.Checked Then
            FechaOperacion1 = Format(dtpFechaOperacion.Value, "dd/MM/yyyy")
        ElseIf rdbRangoFechas.Checked Then
            FechaOperacion1 = Format(dtpFechaOperacion1.Value, "dd/MM/yyyy")
            FechaOperacion2 = Format(dtpFechaOperacion2.Value, "dd/MM/yyyy")
            TipoFecha = 1
        Else
            TipoFecha = 2
        End If
        If TipoFecha = 0 Then
            ds = ReportoVenta.FiltroReportoVenta(FechaOperacion1, "", Estado, Empresa, CasaCorredora)
        ElseIf TipoFecha = 1 Then

            ds = ReportoVenta.FiltroReportoVenta(FechaOperacion1, FechaOperacion2, Estado, Empresa, CasaCorredora)
        Else
            ds = ReportoVenta.FiltroReportoVenta("", "", Estado, Empresa, CasaCorredora)
        End If



        dgvReportoCompras.DataSource = ds.Tables(0)
        Dim Index As Integer = 0
        Dim Cantidad As Integer = dgvReportoCompras.Rows.Count - 1
        While (Cantidad >= Index)


            If dgvReportoCompras.Rows(Index).Cells("Tipo").Value = "INSTRUMENTO ---> REPORTO" Then
                dgvReportoCompras.Rows(Index).DefaultCellStyle.BackColor = Drawing.Color.FromArgb(150, 247, 231)
            Else
                dgvReportoCompras.Rows(Index).DefaultCellStyle.BackColor = Drawing.Color.FromArgb(247, 230, 150)
            End If

            If dgvReportoCompras.Rows(Index).Cells("Estado").Value = "Vencido" Then

                dgvReportoCompras.Rows(Index).DefaultCellStyle.ForeColor = Color.Maroon
            End If
            Index += 1
        End While
    End Sub

    Private Sub dtpFechaVencimiento_ValueChanged(sender As Object, e As EventArgs) Handles dtpFechaOperacion.ValueChanged
        CargarDatosBusqueda()
    End Sub

    Private Sub cboEmpresa_SelectedIndexChanged(sender As Object, e As EventArgs) Handles cboEmpresa.SelectedIndexChanged
        CargarDatosBusqueda()
    End Sub

    Private Sub cboCasaCorredora_SelectedIndexChanged(sender As Object, e As EventArgs) Handles cboCasaCorredora.SelectedIndexChanged
        CargarDatosBusqueda()
    End Sub

    Sub CargarRegistro()
        Dim Codigo As String = dgvReportoCompras.CurrentRow.Cells("CodigoInversion").Value.ToString
        If Not String.IsNullOrEmpty(Codigo) Then
            'Dim frmReportoVenta As New frmReporto("venta", Codigo, Me.Codigo)

            If MsgBox("¿Esta Seguro que Desea Seleccionar Este Reporto?", MsgBoxStyle.OkCancel) = DialogResult.OK Then
                Me.Close()
                'frmReportoVenta.Show()
            End If
        Else
            MsgBox("Error al Seleccionar el registro")
        End If
    End Sub

    Private Sub dgvReportoCompras_CellClick(sender As Object, e As DataGridViewCellEventArgs) Handles dgvReportoCompras.CellClick
        CargarRegistro()
    End Sub

    Private Sub rdbFecha_CheckedChanged(sender As Object, e As EventArgs) Handles rdbFecha.CheckedChanged
        CargarDatosBusqueda()
    End Sub

    Private Sub rdbRangoFechas_CheckedChanged(sender As Object, e As EventArgs) Handles rdbRangoFechas.CheckedChanged
        CargarDatosBusqueda()
    End Sub

    Private Sub dtpFechaOperacion1_ValueChanged(sender As Object, e As EventArgs) Handles dtpFechaOperacion1.ValueChanged
        CargarDatosBusqueda()
    End Sub

    Private Sub dtpFechaOperacion2_ValueChanged(sender As Object, e As EventArgs) Handles dtpFechaOperacion2.ValueChanged
        CargarDatosBusqueda()
    End Sub

    Private Sub rdbDeshabilitarFecha_CheckedChanged(sender As Object, e As EventArgs) Handles rdbDeshabilitarFecha.CheckedChanged
        CargarDatosBusqueda()
    End Sub

    Private Sub rdbVigente_CheckedChanged(sender As Object, e As EventArgs) Handles rdbVigente.CheckedChanged
        CargarDatosBusqueda()
    End Sub

    Private Sub rdbTodosVigencia_CheckedChanged(sender As Object, e As EventArgs) Handles rdbTodosVigencia.CheckedChanged
        CargarDatosBusqueda()
    End Sub
End Class